# mutex::lock Class Reference

Exception-safe mutex lock class. More...

`#include <_mutex_pthreads.h>`

List of all members.

## Public Member Functions

| lock (mutex &x)
| ~lock ()
mutex & | get ()
| lock (mutex &x)
| ~lock ()
| lock (mutex &x)
| ~lock ()
mutex & | get ()

## Private Attributes

mutex * | _mtx

## Detailed Description

Exception-safe mutex lock class.

Definition at line 74 of file _mutex_pthreads.h.

## Constructor & Destructor Documentation

mutex::lock::lock | ( | mutex & | x | ) | `[inline]`

Definition at line 78 of file _mutex_pthreads.h.

References _mtx, and mutex::lock_mutex().

mutex::lock::~lock | ( |  | ) | `[inline]`

Definition at line 79 of file _mutex_pthreads.h.

References _mtx, and mutex::unlock_mutex().

mutex::lock::lock | ( | mutex & | x | ) | `[inline]`

Definition at line 55 of file _mutex_pthreads_simple.h.

References _mtx, and mutex::lock_mutex().

mutex::lock::~lock | ( |  | ) | `[inline]`

Definition at line 56 of file _mutex_pthreads_simple.h.

References _mtx, and mutex::unlock_mutex().

mutex::lock::lock | ( | mutex & | x | ) | `[inline]`

Definition at line 61 of file _mutex_win32.h.

References _mtx, and mutex::lock_mutex().

mutex::lock::~lock | ( |  | ) | `[inline]`

Definition at line 62 of file _mutex_win32.h.

References _mtx, and mutex::unlock_mutex().

## Member Function Documentation

mutex& mutex::lock::get | ( |  | ) | `[inline]`

Definition at line 80 of file _mutex_pthreads.h.

References _mtx.

mutex& mutex::lock::get | ( |  | ) | `[inline]`

Definition at line 63 of file _mutex_win32.h.

References _mtx.

## Member Data Documentation

mutex * mutex::lock::_mtx `[private]`

Definition at line 76 of file _mutex_pthreads.h.

Referenced by get(), lock(), and ~lock().

The documentation for this class was generated from the following files:

- _mutex_pthreads.h
- _mutex_pthreads_simple.h
- _mutex_win32.h